import 'package:flutter/material.dart';
import 'package:syncrow_web/pages/device_managment/three_gang_switch/widgets/cieling_light.dart';
import 'package:syncrow_web/pages/device_managment/three_gang_switch/widgets/spot_light.dart';
import 'package:syncrow_web/pages/device_managment/three_gang_switch/widgets/wall_light.dart';

mixin LivingRoomHelper {
  Widget livingRoomControlWidgets(
      {required bool value, required String code, required String deviceId}) {
    switch (code) {
      case 'switch_1':
        return WallLight(value: value, code: code, deviceId: deviceId);
      case 'switch_2':
        return CeilingLight(value: value, code: code, deviceId: deviceId);
      case 'switch_3':
        return SpotLight(value: value, code: code, deviceId: deviceId);
      default:
        return const SizedBox();
    }
  }
}
